io.milvus.response

## Class ShowPartResponseWrapper

- java.lang.Object
- - io.milvus.response.ShowPartResponseWrapper

    public class ShowPartResponseWrapper
    extends java.lang.Object

Util class to wrap response of `showPartitions` interface.

### Nested Class Summary

Nested Classes
`static class` `ShowPartResponseWrapper.PartitionInfo` Internal-use class to wrap response of `showPartitions` interface.

### Constructor Summary

Constructors
Constructor and Description
`ShowPartResponseWrapper(@NonNull io.milvus.grpc.ShowPartitionsResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ShowPartResponseWrapper.PartitionInfo` `getPartitionInfoByName(@NonNull java.lang.String partitionName)` Get information of one partition by name.
`java.util.List<ShowPartResponseWrapper.PartitionInfo>` `getPartitionsInfo()` Get information of the partitions.
`java.lang.String` `toString()` Construct a `String` by `ShowPartResponseWrapper` instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShowPartResponseWrapper

    public ShowPartResponseWrapper(@NonNull
                                   @NonNull io.milvus.grpc.ShowPartitionsResponse response)

### Method Detail

#### getPartitionsInfo

    public java.util.List<ShowPartResponseWrapper.PartitionInfo> getPartitionsInfo()
                                                                            throws IllegalResponseException

Get information of the partitions.

Returns:
  List of PartitionInfo, information array of the partitions
Throws:
  `IllegalResponseException`

#### getPartitionInfoByName

    public ShowPartResponseWrapper.PartitionInfo getPartitionInfoByName(@NonNull
                                                                        @NonNull java.lang.String partitionName)

Get information of one partition by name.

Parameters:
  `partitionName` - partition name to get information
Returns:
  `ShowPartResponseWrapper.PartitionInfo` information of the partition

#### toString

    public java.lang.String toString()

Construct a `String` by `ShowPartResponseWrapper` instance.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  `String`